
DROP TABLE [dbo].[ME_Project]
CREATE TABLE [dbo].[ME_Project] (
[PlantNr] int NOT NULL ,
[ProjectId] nvarchar(40) NOT NULL ,
[Descr] nvarchar(100) NOT NULL ,
[EnableToggle] bit NOT NULL ,
[PlantSiteCode] int NOT NULL ,
[CustName1] nvarchar(100) NOT NULL ,
[CustName2] nvarchar(100) NOT NULL ,
[FileServerHost] nvarchar(60) NOT NULL ,
[FileFolder1] nvarchar(100) NOT NULL ,
[FileFolder2] nvarchar(100) NOT NULL ,
[FileFolder3] nvarchar(100) NOT NULL ,
[FileFolder4] nvarchar(100) NOT NULL ,
[FileFolder5] nvarchar(100) NOT NULL ,
[FileFolder6] nvarchar(100) NOT NULL ,
[File1NameRegexp] nvarchar(100) NOT NULL ,
[File2NameRegexp] nvarchar(100) NOT NULL ,
[File3NameRegexp] nvarchar(100) NOT NULL ,
[File4NameRegexp] nvarchar(100) NOT NULL ,
[File5NameRegexp] nvarchar(100) NOT NULL ,
[File6NameRegexp] nvarchar(100) NOT NULL ,
[OrderVerifyRuleToggle1] bit NOT NULL ,
[OrderVerifyRuleToggle2] bit NOT NULL ,
[OrderVerifyRuleToggle3] bit NOT NULL ,
[OrderVerifyRuleToggle4] bit NOT NULL ,
[OrderVerifyRuleToggle5] bit NOT NULL ,
[OrderVerifyRuleToggle6] bit NOT NULL ,
[OrderVerifyRule1] nvarchar(100) NOT NULL ,
[OrderVerifyRule2] nvarchar(100) NOT NULL ,
[OrderVerifyRule3] nvarchar(100) NOT NULL ,
[OrderVerifyRule4] nvarchar(100) NOT NULL ,
[OrderVerifyRule5] nvarchar(100) NOT NULL ,
[OrderVerifyRule6] nvarchar(100) NOT NULL ,
[EmailServerHost] nvarchar(60) NOT NULL ,
[EmailServerPort] int NOT NULL ,
[FromEmail] nvarchar(100) NOT NULL ,
[FromPwd] nvarchar(100) NOT NULL ,
[ErrorRecievers] nvarchar(100) NOT NULL ,
[ErrorCcRecievers] nvarchar(100) NOT NULL ,
[LogUrl] nvarchar(60) NOT NULL ,
[LogTable] nvarchar(40) NOT NULL ,
[CustOrderSnr] nvarchar(40) NOT NULL ,
[WorkOrderSnr] nvarchar(40) NOT NULL ,
[SerialOrderSnr] nvarchar(40) NOT NULL ,
[ManualOrderSnr] nvarchar(40) NOT NULL ,
[OrderMsgSnr] nvarchar(40) NOT NULL ,
[ReworkOrderSnr] nvarchar(40) NOT NULL ,
[PackOrderSnr] nvarchar(40) NOT NULL ,
[PackOrderSyncSnr] nvarchar(40) NOT NULL ,
[ShipOrderSnr] nvarchar(40) NOT NULL ,
[ShipFileSnr] nvarchar(40) NOT NULL ,
[AsnFileSnr] nvarchar(40) NOT NULL ,
[LastModify] datetime NOT NULL ,
[LastUser] nvarchar(20) NOT NULL ,
[CreateTime] datetime NOT NULL 
)




INSERT INTO [dbo].[ME_Project] ([PlantNr], [ProjectId], [Descr], [EnableToggle], [PlantSiteCode], [CustName1], [CustName2], [FileServerHost], [FileFolder1], [FileFolder2], [FileFolder3], [FileFolder4], [FileFolder5], [FileFolder6], [File1NameRegexp], [File2NameRegexp], [File3NameRegexp], [File4NameRegexp], [File5NameRegexp], [File6NameRegexp], [OrderVerifyRuleToggle1], [OrderVerifyRuleToggle2], [OrderVerifyRuleToggle3], [OrderVerifyRuleToggle4], [OrderVerifyRuleToggle5], [OrderVerifyRuleToggle6], [OrderVerifyRule1], [OrderVerifyRule2], [OrderVerifyRule3], [OrderVerifyRule4], [OrderVerifyRule5], [OrderVerifyRule6], [EmailServerHost], [EmailServerPort], [FromEmail], [FromPwd], [ErrorRecievers], [ErrorCcRecievers], [LogUrl], [LogTable], [CustOrderSnr], [WorkOrderSnr], [SerialOrderSnr], [ManualOrderSnr], [OrderMsgSnr], [ReworkOrderSnr], [PackOrderSnr], [PackOrderSyncSnr], [ShipOrderSnr], [ShipFileSnr], [AsnFileSnr], [LastModify], [LastUser], [CreateTime]) VALUES (N'100', N'G-FRAME', N'G-FRAME项目', N'1', N'1', N'1', N'21', N'213', N'213', N'132', N'123', N'132', N'132', N'123', N'132', N'321', N'11', N'1', N'1', N'1', N'1', N'1', N'1', N'1', N'1', N'1', N'213', N'123', N'123', N'123', N'123', N'12', N'12', N'12', N'12', N'12', N'12', N'12', N'12', N'1', N'12', N'12', N'12', N'12', N'12', N'1', N'12', N'12', N'12', N'12', N'12', N'2021-04-14 10:43:30.000', N'12', N'2021-04-14 10:43:33.000')


ALTER TABLE [dbo].[ME_Project] ADD PRIMARY KEY ([PlantNr], [ProjectId])
